CREATE TABLE ffs_chat_txn_preauth (
    TXN_ID                NUMBER(19, 0),
    ENTITY_TYPE           VARCHAR2(36) ,
    ENTITY_ID             NUMBER(10, 0),
    SOURCE_RESOURCE_ID    NUMBER(8, 0)     NOT NULL,
    TARGET_RESOURCE_ID    NUMBER(8, 0) ,
    EXPIRY                TIMESTAMP(0) ,
    QUANTITY              NUMBER       ,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    TXN_ID                NUMBER(19, 0),
    ENTITY_TYPE           VARCHAR2(36) ,
    ENTITY_ID             NUMBER(10, 0),
    SOURCE_RESOURCE_ID    NUMBER(8, 0)     NOT NULL,
    TARGET_RESOURCE_ID    NUMBER(8, 0) ,
    EXPIRY                TIMESTAMP(0) ,
    QUANTITY              NUMBER       ,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    CONSTRAINT pk_ffs_chat_txn_preauth PRIMARY KEY (TXN_ID, ENTITY_ID, TARGET_RESOURCE_ID, TXN_ID, ENTITY_ID, TARGET_RESOURCE_ID)
);
